<form method="POST" action="<?php use WilokeProductSaleCountDown\Dashboard\Shared\App;

echo admin_url('admin.php?page=' . $this->getDashboardSlug()); ?>">
	<?php wp_nonce_field('wilpscd-auth-action', 'wilpscd-auth-field'); ?>
    <h2 class="textCenter"><?php echo esc_html__('Product Sale Countdown Settings', 'wiloke-product-sale-countdown');
		?></h2>
    <table class="form-table">
        <tbody>
        <tr>
            <th>
                <label for="wilpscd-title-default"><?php echo esc_html__('Title',
						'wiloke-product-sale-countdown'); ?></label>
            </th>
            <td>
                <input id="wilpscd-title-default"
                       type="text"
                       name="wilpscd-cb[title]"
                       value="<?php echo esc_html($this->aOptions['title'] ?? 'Sale ends soon!') ?>"
                       required
                       class="regular-text"/>
            </td>
        </tr>
        <tr>
            <th>
                <label for="wilpscd-position-default"><?php echo esc_html__('Title Position',
						'wiloke-product-sale-countdown'); ?></label>
            </th>
            <td>
                <select id="wilpscd-position-default" name="wilpscd-cb[titleCenter]" required class="regular-text">
					<?php
					$aOptionTitleCenter = [
						'left'   => esc_html__('Left', 'wiloke-product-sale-countdown'),
						'center' => esc_html__('Center', 'wiloke-product-sale-countdown'),
						'right'  => esc_html__('Right', 'wiloke-product-sale-countdown')
					];
					$titleCenter = $this->aOptions['titleCenter'] ?? 'center';
					foreach ($aOptionTitleCenter as $key => $value) {
						?>
                        <option <?php echo ($titleCenter == $key) ? 'selected' : '' ?>
                                value="<?php echo esc_attr($key) ?>">
							<?php echo esc_html($value) ?>
                        </option>
						<?php
					}
					?>
                </select>
            </td>
        </tr>
        <tr>
            <th>
                <label for="wilpscd-text-size-title"><?php echo esc_html__('Title Text Size ',
						'wiloke-product-sale-countdown'); ?></label>
            </th>
            <td>
                <input id="wilpscd-title-default"
                       type="number"
                       name="wilpscd-cb[textSizeTitle]"
                       value="<?php echo esc_html($this->aOptions['textSizeTitle'] ?? 16) ?>"
                       required
                       class="regular-text"/>
            </td>
        </tr>
        <tr>
            <th>
                <label for="wilpscd-text-size-cd-1"><?php echo esc_html__('Countdown Number Size ',
						'wiloke-product-sale-countdown'); ?></label>
            </th>
            <td>
                <input id="wilpscd-text-size-cd-1"
                       type="number"
                       name="wilpscd-cb[textSizeScd1]"
                       value="<?php echo esc_html($this->aOptions['textSizeScd1'] ?? 20) ?>"
                       required
                       class="regular-text"/>
            </td>
        </tr>
        <tr>
            <th>
                <label for="wilpscd-text-size-cd-2"><?php echo esc_html__('Countdown Text Size ',
				        'wiloke-product-sale-countdown'); ?></label>
            </th>
            <td>
                <input id="wilpscd-text-size-cd-2"
                       type="number"
                       name="wilpscd-cb[textSizeScd2]"
                       value="<?php echo esc_html($this->aOptions['textSizeScd2'] ?? 12) ?>"
                       required
                       class="regular-text"/>
            </td>
        </tr>
        <tr>
            <th>
                <label for="wilpscd-style-default"><?php echo esc_html__('Style Default',
				        'wiloke-product-sale-countdown'); ?></label>
            </th>
            <td>
                <select id="wilpscd-style-default" name="wilpscd-cb[style]" required class="regular-text">
			        <?php
			        $defaultStyle = $this->aOptions['style'] ?? 'style1';
			        foreach (App::get('style') as $key => $value) {
				        ?>
                        <option <?php echo ($defaultStyle == $key) ? 'selected' : '' ?>
                                value="<?php echo esc_attr($key) ?>">
					        <?php echo esc_html($value) ?>
                        </option>
				        <?php
			        }
			        ?>
                </select>
            </td>
        </tr>
        <tr>
            <th>
                <label for="wilpscd-number-color"><?php echo esc_html__('Number Color Default',
						'wiloke-product-sale-countdown'); ?></label>
            </th>
            <td>
                <input id="wilpscd-number-color"
                       name="wilpscd-cb[numberColor]"
                       required
                       data-default-color="<?php echo empty($this->aOptions)?'#111':esc_attr
                       ($this->aOptions['colorStyle'][$this->aOptions['style']]['numberColor']) ?>"
                       value="<?php echo esc_attr(empty($this->aOptions)
                           ?'#111':$this->aOptions['colorStyle'][$this->aOptions['style']]['numberColor']) ?>"
                       class="wilpscd-number-color"/>
            </td>
        </tr>
        <tr>
            <th>
                <label for="wilpscd-number-bg-color"><?php echo esc_html__('Number Background Color Default',
						'wiloke-product-sale-countdown'); ?></label>
            </th>
            <td>
                <input id="wilpscd-number-bg-color"
                       name="wilpscd-cb[numberBgColor]"
                       required
                       data-default-color="<?php echo esc_attr(empty($this->aOptions)?'#eee':$this->aOptions['colorStyle'][$this->aOptions['style']]['numberBgColor'] ?? '#eee') ?>"
                       value="<?php echo esc_attr(empty($this->aOptions)?'#eee':$this->aOptions['colorStyle'][$this->aOptions['style']]['numberBgColor'])
                       ?>"
                       class="wilpscd-number-bg-color"/>
            </td>
        </tr>
        <tr>
            <th>
                <label for="wilpscd-text-color"><?php echo esc_html__('Text Color Default',
						'wiloke-product-sale-countdown'); ?></label>
            </th>
            <td>
                <input id="wilpscd-text-color"
                       name="wilpscd-cb[textColor]"
                       required
                       data-default-color="<?php echo esc_attr(empty($this->aOptions)?'#eee':$this->aOptions['colorStyle'][$this->aOptions['style']]['textColor']) ?>"
                       value="<?php echo esc_attr(empty($this->aOptions)?'#eee':$this->aOptions['colorStyle'][$this->aOptions['style']]['textColor']) ?>"
                       class="wilpscd-text-color"/>
            </td>
        </tr>
        <tr id="wil-text-bg-color" class="<?php echo esc_attr((isset( $this->aOptions['style'])&& $this->aOptions['style']!='style1')?'wil-scd-hide':'')
        ?>">
            <th>
                <label for="wilpscd-text-bg-color"><?php echo esc_html__('Text Background Color Default',
						'wiloke-product-sale-countdown'); ?></label>
            </th>
            <td>
                <input id="wilpscd-text-bg-color"
                       name="wilpscd-cb[textBgColor]"
                       required
                       data-default-color="<?php echo esc_attr(empty($this->aOptions)?'#111':$this->aOptions['colorStyle'][$this->aOptions['style']]['textBgColor']) ?>"
                       value="<?php echo esc_attr(empty($this->aOptions)?'#111':$this->aOptions['colorStyle'][$this->aOptions['style']]['textBgColor']) ?>"
                       class="wilpscd-text-bg-color"/>
            </td>
        </tr>
        </tbody>
    </table>
    <br>
    <button id="button-save" class="button button-primary center" type="submit">
		<?php esc_html_e('Save Changes', 'wiloke-product-sale-countdown'); ?>
    </button>
</form>

